setRandomSeed(); 
exec("./defaults.cs"); 
function initCanvas(%windowName) 
{ 
   if (!createCanvas(%windowName)) { 
      quit(); 
      return; 
   } 

} 

function resetCanvas() 
{ 
   if (isObject(Canvas)) 
   { 
      Canvas.repaint(); 
   } 
} 

$cursorControlled = true;

function cursorOff()
{
   if ( $cursorControlled )
      lockMouse(true);
   Canvas.cursorOff();
}

function cursorOn()
{
   if ( $cursorControlled )
      lockMouse(false);
   Canvas.cursorOn();
   Canvas.setCursor(DefaultCursor); 
}


initCanvas("Stripped Torque"); 
exec("./guiprofiles.cs");
//exec("./console.gui");
exec("./hammurabi.gui");

Canvas.setContent(consoleGui);
cursorOn();
cls();

setNetPort(0); 

startgame();